/*Haciendo uso de la función "strcat", pide al usuario:
o	Su nombre.
o	Su primer apellido.
o	Su segundo apellido.
Concatena las tres cadenas en una sola. 
Y muestra el resultado en pantalla. 
Ejemplo:
¿Cuál es tu nombre?: Pepe.
¿Y tu primer apellido? González.
¿Y tu segundo apellido? Cabeza.
Hola Pepe. Tu nombre completo es Pepe González Cabeza.*/

#include<stdio.h>
#include<string.h>
#include<conio.h>
#include<dos.h>

#define N 15
#define M N*3

void main(void)
{
	char nombre[N],apell1[N],apell2[N],nombre_completo[M];
	
	clrscr();
	printf("¨Cu l es tu nombre? ");
	gets(nombre);
	delay(1000);
	printf("¨Y tu primer apellido? ");
	gets(apell1);
	delay(1000);
	printf("¨Y tu segundo apellido? ");
	gets(apell2);
	
	strcpy(nombre_completo,nombre);
	strcat(nombre_completo," ");
	strcat(nombre_completo,apell1);
	strcat(nombre_completo," ");
	strcat(nombre_completo,apell2);
	delay(1000);
	
	printf("Hola %s. Tu nombre completo es %s",nombre,nombre_completo);
	getch();
}